CairoImageSurface::createForData
CairoImageSurface::getData
CairoImageSurface
PHP Manual

# CairoImageSurface::createFromPng

(PECL cairo >= 0.1.0)

CairoImageSurface::createFromPng — Creates a new CairoImageSurface form a png image file

### Description

public static CairoImageSurface CairoImageSurface::createFromPng ( string `$file` )

Creates a new CairoImageSurface form a png image file

This method should be called static

### Parameters

`file`

  Path to PNG image file

### Return Values

CairoImageSurface object

### Examples

Example #1 CairoImageSurface::createFromPng example

`<?php
$surface = CairoImageSurface::createFromPng('/path/to/image/file.png');
?>`

The above example will output something similar to:

    ...

### See Also

- CairoImageSurface::__construct - Creates a new CairoImageSurface

CairoImageSurface::createForData
CairoImageSurface::getData
CairoImageSurface
PHP Manual